Timekit developers

GET List all resources

Get all resources for the app

If you need to fetch all resources for your app you can use this endpoint. The response is paginated. This endpoint requires an active subscription.

Endpoint

GET https://api.timekit.io/v2/resources

Request examples

curl
curl --request GET \
  --url https://api.timekit.io/v2/resources \
  --header 'Content-Type: application/json' \
  --user :live_api_key_7nzvc7wsBQQISLeFSVhROys9V1bUJ1z7

Response examples

200

json
{
  "current_page": 1,
  "first_page_url": "https://api.timekit.io/v2/resources?page=1",
  "from": 1,
  "last_page": 1,
  "last_page_url": "https://api.timekit.io/v2/resources?page=1",
  "next_page_url": null,
  "per_page": 50,
  "prev_page_url": null,
  "to": 2,
  "total": 2,
  "data": [
    {
      "id": "d187d6e0-d6cb-409a-ae60-45a8fd0ec879",
      "first_name": "Emmet",
      "last_name": "Brown",
      "name": "Emmet Brown",
      "email": "doc.brown@timekit.io",
      "timezone": "America/Los_Angeles"
    },
    {
      "id": "a728e860-99c7-4009-8843-7d9ac5d7f53f",
      "first_name": "Marty",
      "last_name": "McFly",
      "name": "Marty McFly",
      "email": "marty.mcfly@timekit.io",
      "timezone": "America/Los_Angeles"
    }
  ]
}
Last edited 6 October 2026.